org.apache.commons.imaging.formats.tiff

## Class TiffContents

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffContents

-     public class TiffContents
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<TiffDirectory>` | `directories`
    `TiffHeader` | `header`
    `List<TiffField>` | `tiffFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiffContents(TiffHeader tiffHeader, List<TiffDirectory> directories, List<TiffField> tiffFields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dissect()`
    `TiffField` | `findField(TagInfo tag)`
    `List<TiffElement>` | `getElements()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### header

          public final TiffHeader header

    - #### directories

          public final List<TiffDirectory> directories

    - #### tiffFields

          public final List<TiffField> tiffFields

  - ### Constructor Detail

    - #### TiffContents

          public TiffContents(TiffHeader tiffHeader,
                              List<TiffDirectory> directories,
                              List<TiffField> tiffFields)

  - ### Method Detail

    - #### getElements

          public List<TiffElement> getElements()
                                        throws ImageReadException

      Throws:
        `ImageReadException`

    - #### findField

          public TiffField findField(TagInfo tag)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### dissect

          public void dissect()
                       throws ImageReadException

      Throws:
        `ImageReadException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.